Customizing the Viewer
Наши примеры проектов и шаблоны отчётов помогут Вам разобраться в основах работы с нашими продуктами.In this example you can see how to customize the report viewer by changing the viewer options. First you need to create the
На скриншоте ниже Вы можете увидеть результат выполнения данного кода:

StiViewerOptions class object. This class contains a set of properties which configure the viewer appearance and behaviour. For example, change some of the properties to the values other than the defaults:
<script type="text/javascript">
// Change report viewer options
var options = new Stimulsoft.Viewer.StiViewerOptions();
options.appearance.scrollbarsMode = true;
options.appearance.pageBorderColor = Stimulsoft.System.Drawing.Color.navy;
options.toolbar.borderColor = Stimulsoft.System.Drawing.Color.navy;
options.toolbar.showPrintButton = false;
options.toolbar.showViewModeButton = false;
options.toolbar.viewMode = Stimulsoft.Viewer.StiWebViewMode.WholeReport;
options.toolbar.zoom = 50;
options.width = "1000px";
options.height = "500px";
var viewer = new Stimulsoft.Viewer.StiViewer(options, "StiViewer", false);
// Create a new report instance
var report = new Stimulsoft.Report.StiReport();
// Load report from url
report.loadFile("../reports/SimpleList.mrt");
// Assign report to the viewer, the report will be built automatically after rendering the viewer
viewer.report = report;
</script>На скриншоте ниже Вы можете увидеть результат выполнения данного кода:


Cloud
Облачный сервис для быстрого и эффективного анализа и визуализации данных для вашего бизнеса без необходимости создания своих приложений и программирования.
<script setup lang="ts">
import { Viewer, Stimulsoft } from 'stimulsoft-reports-js-vuejs/viewer';
var report = new Stimulsoft.Report.StiReport();
report.loadFile("Reports/SimpleList.mrt");
var viewerOptions = new Stimulsoft.Viewer.StiViewerOptions();
viewerOptions.toolbar.showOpenButton = false;
viewerOptions.exports.showExportToPdf = false;
</script>
<template>
<Viewer :report="report" :options="viewerOptions" />
</template>The toolbar and exports option groups switch individual buttons and export formats on and off, from a full-featured viewer to a minimal one.

The viewer toolbar and export options can be trimmed to expose only the features you want. This example hides the Open button and the PDF export.

Viewer setup. Configure the viewer, load the report, assign it to the component, and process the requests or events raised by the UI.
@Component({
    selector: "customizing-the-viewer",
    imports: [Viewer],
    template: `<sti-viewer [report]="report" [options]="viewerOptions"></sti-viewer>`
})
export class CustomizingTheViewer {
    report = new Stimulsoft.Report.StiReport();
    viewerOptions = new Stimulsoft.Viewer.StiViewerOptions();
    constructor() {
        this.report.loadFile("Reports/SimpleList.mrt");
        this.viewerOptions.toolbar.showOpenButton = false;
        this.viewerOptions.exports.showExportToPdf = false;
    }
}
The toolbar and exports option groups switch individual buttons and export formats on and off, from a full-featured viewer to a minimal one.

Используя этот сайт, вы соглашаетесь на использование файлов Cookie для аналитики и персонализированного контента. Файлы Cookie хранят полезную информацию на вашем компьютере, чтобы помочь нам повысить эффективность и удобство использования. Для получения дополнительной информации, пожалуйста, прочтите Конфиденциальность и Использование Cookie.